Skip to content
Start here

Retrieves countries information for all countries

client.cloudforceOne.threatEvents.countries.list(CountryListParams { account_id } params, RequestOptionsoptions?): CountryListResponse { result, success }
GET/accounts/{account_id}/cloudforce-one/events/countries

Retrieves countries information for all countries

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
ParametersExpand Collapse
params: CountryListParams { account_id }
account_id: string

Account ID.

ReturnsExpand Collapse
CountryListResponse = Array<CountryListResponseItem>
result: Array<Result>
alpha3: string
name: string
success: string

Retrieves countries information for all countries

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const countries = await client.cloudforceOne.threatEvents.countries.list({
  account_id: 'account_id',
});

console.log(countries);
[
  {
    "result": [
      {
        "alpha3": "AF",
        "name": "Afghanistan"
      }
    ],
    "success": "true"
  }
]
Returns Examples
[
  {
    "result": [
      {
        "alpha3": "AF",
        "name": "Afghanistan"
      }
    ],
    "success": "true"
  }
]